/*
 Copyright (C) 2010-2017 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include <unistd.h>

void app_atexit() {
  TAppProcAtExit *hape = AppProcAtExit;
	if (AppToAtExit) return;
	AppToAtExit = True;
	if (hape) {
	    while (*hape) {
// printf("%s(%d): Del 0x%x\n", FL, (int)*hape);
		(*hape)();
		hape++;
	    }
	}
	if (AppToAtExit_Wait) usleep(10000);
#ifdef MEM_CHK
	ppfree(&AppProcAtExit);
#endif
}
