/*
 Copyright (C) 2010-2016 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "appbase.h"

TpcIni *get_appIni() {
  TpcIni *pcIni;

	pcIni = appDat.appIni;
	if (!pcIni) pcIni = TpcIni_Create(appDat.inifile_app);
	return pcIni;
}

void free_appIni(TpcIni *pcIni) {
	if (appDat.appIni != pcIni) Tfree(pcIni);
}


void save_and_free_appIni(TpcIni *pcIni) {
	TpcIni_Save(pcIni);
	if (appDat.appIni != pcIni) Tfree(pcIni);
}
