/*
 Copyright (C) 2010-2023 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

const char *path_korr_file(const char *path) {
  const char *result = path;
	if (!pcncasecmpASCII(path, "file:", 5)) {
	    result += 5;
	    while ((result[0] == C_SLASH)  && 
		   (result[1] == C_SLASH)) result++;
	}
#ifdef _OS_WIN32
	if (!pcncasecmpASCII(path, "smb:", 4)) result += 4;
#endif
	return result;
}

